%def_enable static
%def_disable debug
%def_enable apps
%def_with swig
%def_with python
%def_with xine
%def_with ffmpeg
%def_with 1394libs
%def_with v4l
%def_with quicktime
%def_with gtk
%def_without carbon
%def_with pic
#----------------------------------------------------------------------
%define set_without() %{expand:%%force_without %{1}} %{expand:%%undefine _with_%{1}}

%{?_with_ffmpeg:%set_without quicktime}

%define bname opencv
%define Name OpenCV
Name: lib%bname
Version: 1.0.0
Release: alt1
Summary:  Intel(R) Open Source Computer Vision Library
License: Distributable
Group: System/Libraries
URL: http://%{bname}library.sourceforge.net/
Source: %bname-%version.tar.bz2
Patch0: %bname-1.0.0-ffmpeg.patch
Patch1: %bname-1.0.0-makefile.patch

# Automatically added by buildreq on Sun Mar 16 2008
#BuildRequires: gcc-c++ glibc-devel-static libavformat-devel libgtk+2-devel libjasper-devel libjpeg-devel libtiff-devel libxine-devel openexr-devel python-devel swig

BuildRequires: gcc-c++ libjasper-devel libjpeg-devel libtiff-devel
BuildRequires: openexr-devel
%{?_with_ffmpeg:BuildRequires: libavformat-devel}
%{?_with_gtk:BuildRequires: libgtk+2-devel}
%{?_with_xine:BuildRequires: libxine-devel}
%{?_with_python:BuildRequires: python-devel}
%{?_with_swig:BuildRequires: swig}

%description
%Name means Intel(R) Open Source Computer Vision Library. It is a
collection of C functions and a few C++ classes that implement many
popular Image Processing and Computer Vision algorithms.
%Name provides cross-platform middle-to-high level API that includes
about 300 C functions and a few C++ classes. Also there are constantly
improving Python bindings to %Name.


%package devel
Group: Development/C
Summary: Development files for %name
Requires: %name = %version-%release

%description devel
%Name means Intel(R) Open Source Computer Vision Library. It is a
collection of C functions and a few C++ classes that implement many
popular Image Processing and Computer Vision algorithms.
%Name provides cross-platform middle-to-high level API that includes
about 300 C functions and a few C++ classes. Also there are constantly
improving Python bindings to %Name.

This package contains header files and documentation needed to develop
applications with %name.


%if_enabled static
%package devel-static
Summary: Static %name
Group: Development/C
Requires: %name-devel = %version-%release

%description devel-static
%Name means Intel(R) Open Source Computer Vision Library. It is a
collection of C functions and a few C++ classes that implement many
popular Image Processing and Computer Vision algorithms.
%Name provides cross-platform middle-to-high level API that includes
about 300 C functions and a few C++ classes. Also there are constantly
improving Python bindings to %Name.

This package contains static library to develop applications with
%name.
%endif


%package doc
Summary: %name documentation
Group: Documentation

%description doc
%Name means Intel(R) Open Source Computer Vision Library. It is a
collection of C functions and a few C++ classes that implement many
popular Image Processing and Computer Vision algorithms.
%Name provides cross-platform middle-to-high level API that includes
about 300 C functions and a few C++ classes. Also there are constantly
improving Python bindings to %Name.

This package contains API Reference for develop with %name.


%package utils
Group: Video
Summary: %Name utils

%description utils
%Name means Intel(R) Open Source Computer Vision Library. It is a
collection of C functions and a few C++ classes that implement many
popular Image Processing and Computer Vision algorithms.
%Name provides cross-platform middle-to-high level API that includes
about 300 C functions and a few C++ classes. Also there are constantly
improving Python bindings to %Name.

This package contains %Name demo applications.


%package -n python-module-%bname
Group: Development/Python
Summary: Python modules for %Name
Requires: %name-devel = %version-%release

%description -n python-module-%bname
%Name means Intel(R) Open Source Computer Vision Library. It is a
collection of C functions and a few C++ classes that implement many
popular Image Processing and Computer Vision algorithms.
%Name provides cross-platform middle-to-high level API that includes
about 300 C functions and a few C++ classes. Also there are constantly
improving Python bindings to %Name.

This package contains an extension module for python that provides a
Python language mapping for the %Name.


%prep
%setup -n %bname-%version
%patch0 -p1
%patch1 -p1


%build
%define _optlevel 3
%add_optflags -I%_includedir/OpenEXR
%autoreconf
%configure \
    --enable-shared \
    %{subst_enable static} \
    %{subst_enable debug} \
    %{subst_enable apps} \
    %{subst_with swig} \
    %{subst_with python} \
    %{subst_with xine} \
    %{subst_with ffmpeg} \
    %{subst_with 1394libs} \
    %{subst_with v4l} \
    %{subst_with quicktime} \
    %{subst_with gtk} \
    %{subst_with pic}
%make_build


%install
%make_install \
    DESTDIR=%buildroot \
    opencvdocdir=%_docdir/%name-devel-%version \
    csamplesdir=%_docdir/%name-devel-%version/samples/c \
    pysamplesdir=%_docdir/%name-devel-%version/samples/python \
    install


%post -p %post_ldconfig
%postun -p %postun_ldconfig


%files
%doc AUTHORS COPYING THANKS TODO
%_libdir/*.so.*


%files devel
%_libdir/*.so
%_includedir/*
%_pkgconfigdir/*


%if_enabled static
%files devel-static
%_libdir/*.a
%endif


%files doc
%_docdir/%name-devel-%version


%files utils
%_bindir/*
%_datadir/%bname


%files -n python-module-%bname
%python_sitelibdir/*


%changelog
* Sun Mar 16 2008 Led <led@altlinux.ru> 1.0.0-alt1
- initial build
